%global pypi_name pylacrosse
%global pkg_name lacrosse

Name:           python-%{pkg_name}
Version:        0.4
Release:        10%{?dist}
Summary:        LaCrosse Python sensor library

License:        LGPLv2+
URL:            http://github.com/hthiery/python-lacrosse
# Cannot use a git tarball as a Source, see https://github.com/hthiery/python-lacrosse/raw/0.4/AUTHORS
Source0:        %{pypi_source %{pypi_name}}
# The following files are mussing from the sdist
Source1:        https://github.com/hthiery/python-lacrosse/raw/%{version}/AUTHORS
Source2:        https://github.com/hthiery/python-lacrosse/raw/%{version}/COPYING
BuildArch:      noarch

%description
Python libray to work with the Jeelink USB RF adapter.

%package -n     python3-%{pkg_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyserial)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Python libray to work with the Jeelink USB RF adapter.

%prep
%autosetup -n %{pypi_name}-%{version}
cp -p %{SOURCE1} %{SOURCE2} .
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pkg_name}
%doc AUTHORS README.rst
%license COPYING
%{_bindir}/pylacrosse
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%exclude %{python3_sitelib}/tests

%changelog
* Tue Jan 24 2023 Miro Hrončok <mhroncok@redhat.com> - 0.4-10
- Use sdist from PyPI to build the package to correct version metadata
- This makes the package provide python3dist(pylacrosse) = 0.4 instead of python3dist(pylacrosse) = unknown
- This makes the package build with packaging 22+


* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.4-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.4-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4-2
- Add missing BR (#1879768)

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4-1
- Initial package for Fedora